> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtiene información detallada de la operación de reindexación



## OpenAPI

````yaml /es/openapi.json get /api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId}
openapi: 3.0.4
info:
  description: 'Entorno: Producción<br>Versión del producto: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Producción (Estados Unidos)
    url: https://vantage-us.abbyy.com
  - description: Producción (Europa)
    url: https://vantage-eu.abbyy.com
  - description: Producción (Australia)
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId}:
    get:
      tags:
        - Catalogs
      summary: Obtiene información detallada de la operación de reindexación
      operationId: GetReindexOperation
      parameters:
        - description: >-
            Identificador de catálogo. Puede encontrarlo en la lista de todos
            los catálogos.
          in: path
          name: catalogId
          required: true
          schema:
            type: string
        - description: >-
            Identificador de la operación. Puede encontrarlo en la respuesta de
            la operación de inicio de reindexación.
          in: path
          name: reindexOperationId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
          description: Correcto
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: No se encontró
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult:
      additionalProperties: false
      properties:
        completed:
          description: Hora a la que se completó la operación
          nullable: true
          type: string
        created:
          description: Hora de creación de la operación
          format: date-time
          type: string
        currentState:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState
        id:
          description: Identificador único de la operación
          format: uuid
          type: string
        indexModelId:
          description: Id del modelo de índice utilizado para analizar documentos
          nullable: true
          type: string
        workflowProcessingId:
          description: ID del flujo de trabajo de la operación
          nullable: true
          type: string
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState:
      enum:
        - InProgress
        - Failed
        - Completed
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````